using System;

namespace Nlgp1.B2DX {

	public static class MathF {

		public const float PI = ( float )( Math.PI );

		public static float Abs( float value ) {
			return Math.Abs( value );
		}

		public static float Acos( float a ) {
			return ( float )( Math.Acos( a ) );
		}

		public static float Asin( float a ) {
			return ( float )( Math.Asin( a ) );
		}

		public static float Atan( float a ) {
			return ( float )( Math.Atan( a ) );
		}

		public static float Atan2( float y , float x ) {
			return ( float )( Math.Atan2( y , x ) );
		}

		public static float Ceiling( float a ) {
			return ( float )( Math.Ceiling( a ) );
		}

		public static float Cos( float a ) {
			return ( float )( Math.Cos( a ) );
		}

		public static float Floor( float a ) {
			return ( float )( Math.Floor( a ) );
		}

		public static float Max( float val1 , float val2 ) {
			return Math.Max( val1 , val2 );
		}

		public static float Min( float val1 , float val2 ) {
			return Math.Min( val1 , val2 );
		}

		public static float Pow( float x , float y ) {
			return ( float )( Math.Pow( x , y ) );
		}

		public static float Round( float a ) {
			return ( float )( Math.Round( a ) );
		}

		public static float Sin( float a ) {
			return ( float )( Math.Sin( a ) );
		}

		public static float Sqrt( float a ) {
			return ( float )( Math.Sqrt( a ) );
		}

		public static float Tan( float a ) {
			return ( float )( Math.Tan( a ) );
		}
	}
}
